# Maintainer: Rafael from azul repository

pkgname=yaru-theme-gtk
pkgver=22.04.4
pkgrel=1.1
pkgdesc='Yaru theme gtk from Ubuntu. All colors.'
arch=('any')
url='https://launchpad.net/ubuntu/+source/yaru-theme'
urldown='https://launchpad.net/ubuntu/+archive/primary/+files'
license=('GPL3')
provides=("${pkgname}-${pkgver}")
conflicts=("yaru-gtk-theme")
source=("${urldown}/${pkgname}_${pkgver}_all.deb")
sha512sums=('5675849778a6f33b9e3a303221e04b44ed408974021cdbaffc26058c8ff3d8fdd2c5d401b1c734845c3444069941e7c56be20f1c8c23cec4509797dd9c0145c7')

package() {
  install -dm755 ${pkgdir}/usr/share/doc/${pkgname}
  install -dm755 ${pkgdir}/usr/share/gtksourceview-2.0
  install -dm755 ${pkgdir}/usr/share/gtksourceview-3.0
  install -dm755 ${pkgdir}/usr/share/gtksourceview-4
  install -dm755 ${pkgdir}/usr/share/session-migration
  install -dm755 ${pkgdir}/usr/share/themes
  install -dm755 ${pkgdir}/usr/share/licenses/${pkgname}
  tar -xvf ${srcdir}/data.tar.zst
  cp -r  ${srcdir}/usr/share/doc/${pkgname}/* ${pkgdir}/usr/share/doc/${pkgname}
  cp -r  ${srcdir}/usr/share/gtksourceview-2.0/* ${pkgdir}/usr/share/gtksourceview-2.0
  cp -r  ${srcdir}/usr/share/gtksourceview-3.0/* ${pkgdir}/usr/share/gtksourceview-3.0
  cp -r  ${srcdir}/usr/share/gtksourceview-4/* ${pkgdir}/usr/share/gtksourceview-4
  cp -r  ${srcdir}/usr/share/session-migration/* ${pkgdir}/usr/share/session-migration
  cp -r  ${srcdir}/usr/share/themes/* ${pkgdir}/usr/share/themes
  cp -r  ${srcdir}/usr/share/doc/${pkgname}/copyright ${pkgdir}/usr/share/licenses/${pkgname}
  find ${pkgdir}/usr -type f -exec chmod 644 {} \;
  find ${pkgdir}/usr -type d -exec chmod 755 {} \;
}

